import sys
from time import sleep
import RPi.GPIO as GPIO
import picamera

#setup BCM GPIO nummering
GPIO.setmode(GPIO.BCM)
GPIO.setwarnings(False)

# Set up input pin (GPIO17)
GPIO.setup(17, GPIO.IN, pull_up_down=GPIO.PUD_DOWN)

# Set up LED output (GPIO27)
GPIO.setup(27, GPIO.OUT)

print ("\033c") # wis scherm
print ("Je hebt 20 seconden om de camera op te stellen. Daarna start de IR detectie.")

# Maak een instance van de PiCamera class:
camera = picamera.PiCamera()

# Laat camarabeeld 20 sec zien om opstelling te bepalen
# Draai beeld met 90/180/270 graden
# Beeldtransparantheid (alpha=0/255)
camera.start_preview(alpha=200)
camera.rotation = 180
sleep(20)
camera.stop_preview()

# Uitvoerende functie als beweging gedetecteerd is
def motionSensor(channel):
    GPIO.output(27, GPIO.LOW)
    if GPIO.input(17):     # True = HOOG
        global counter
        counter += 1
	print("Aantal waargenomen bewegingen / genomen foto's: "), counter
	i=counter
        GPIO.output(27, GPIO.HIGH)
	camera.capture('foto%s.jpg' % i)	# Maak een foto

# Luisteren naar GPIO17 en opdracht geven
GPIO.add_event_detect(17, GPIO.BOTH, callback=motionSensor, bouncetime=300)
counter = 0

try:
    print"\nDetectie start na 1 seconde\n"
    while True:
        sleep(1)           # wacht 1 seconde

finally:                   # start bij exit
    GPIO.cleanup()         # schoont GPIO poorten op
    print "Alle GPIO poorten zijn schoon."


